Download internal purchase order
Download internal purchase order.
get/tenants/{tenantUid}/organizations/{organizationUid}/internal-purchase-orders/{internalPurchaseOrderUid}/download
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+organizationUidstringRequiredPattern:
Reference to an organization.
^[A-Za-z0-9-_]+internalPurchaseOrderUidstringRequiredPattern:
Reference to an internal purchase order.
^[A-Za-z0-9-_]+Responses
200
Based on the Accept header the response will be base64 json encoded or a raw file. application/octet-stream will return a binary file application/json will return a json with the file content base64 encoded.
contentstringRequired
base64 encoded
contentTypestringRequired
mime type
filenamestringRequired
get/tenants/{tenantUid}/organizations/{organizationUid}/internal-purchase-orders/{internalPurchaseOrderUid}/download
GET /v2/tenants/{tenantUid}/organizations/{organizationUid}/internal-purchase-orders/{internalPurchaseOrderUid}/download HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Based on the Accept header the response will be base64 json encoded or a raw file. application/octet-stream will return a binary file application/json will return a json with the file content base64 encoded.
{
"content": "text",
"contentType": "text",
"filename": "text"
}Last updated
Was this helpful?

